VARKON Version 1.17D 2003-02-28

| ## sur_curves - geometric procedure
Creates a surface
Description
Creates a bicubic surface. Input data is a set of curves. The curves will be approximated.
Syntax
sur_curves(id, nu, nv, idcurves, twistmethod :attributes);
REF | id
INT | nu
INT | nv
REF | idcurves( )
STRING | twistmethod
Principal parameters
id | - Local identity
nu | - Number off U lines in the output surface.
nv | - Number off input curves, which will become V lines.
idcurves( ) | - Array with identities of curves
twistmethod | - Method to calculate twist vector. Refer to SUR_SPLARR.
Optional parameters
none

Attributes
PEN | - Pen or colour number
LEVEL | - Level number
BLANK | - Visible (0) or invisible (1)
SFONT | - Solid boundary and dashed midcurves (0)
SDASHL | - Dashlength

Examples
`REF idcurves(10); sur_curves(#10,6, 10, idcurves,"ZERO_TWIST_1");` Creates a bicubic surface (type CUB_SUR). The number of patches in the V direction will be nine since the number of curves is ten. The number of patches in U direction will be five.

VARKON Homepage | Index